%global commit 3adea2bdbed8f69e6f888cac276c9e68262bb524
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:       plasma-gamemode
Version:    0.0.1+git.20220310.%{shortcommit}
Release:    1%{dist}
License:    GPLv3 and LGPLv3 and GPLv2 and CC0 and BSD3
Summary:    Feral Interactive GameMode UI - Plasma Gamemode

Url:        https://invent.kde.org/sitter/plasma-gamemode
Source0:    https://invent.kde.org/sitter/%{name}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  libappstream-glib
BuildRequires:  gettext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  appstream-qt-devel

BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  kf5-plasma-devel

BuildRequires:  gettext


Requires: gamemode

%description
Feral Interactive GameMode UI - Plasma Gamemode

%prep
%autosetup -n %{name}-%{commit} -p1


%build
%{cmake_kf5}
%cmake_build

%install
%cmake_install

%files
%doc README.md 
%license LICENSES/*.txt
%{_kf5_qmldir}/org/kde/plasma/private/gamemode/libplasma-gamemode.so
%{_kf5_qmldir}/org/kde/plasma/private/gamemode/qmldir

%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.gamemode/contents/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.gamemode/contents/main.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.gamemode/metadata.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.gamemode/metadata.json

%{_kf5_metainfodir}/org.kde.plasma.gamemode.appdata.xml
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.gamemode.desktop


%changelog
* Fri Mar 11 2022 Onuralp Sezer <thunderbirdtr@fedoraproject.org> - 0.0.1+git.20220310.3adea2b-1
- Version git-3adea2b
